| 0.6.1

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes | List of all members
texture Class Reference
Inheritance diagram for texture:

## Public Types
typedef format | format_type
typedef size_t | size_type

## Public Member Functions
size_type | baseFace () const
size_type | baseLayer () const
size_type | baseLevel () const
void | clear ()
template<typename genType >
void | clear (genType const &Texel)
void * | data ()
template<typename genType >
genType * | data ()
void const * | data () const
template<typename genType >
genType const * | data () const
bool | empty () const
size_type | faces () const
format_type | format () const
size_type | layers () const
size_type | levels () const
size_type | maxFace () const
size_type | maxLayer () const
size_type | maxLevel () const
size_type | size () const
template<typename genType >
size_type | size () const
| texture ()
| texture (size_type const &Layers, size_type const &Faces, size_type const &Levels, format_type const &Format, storage::dim_type const &Dimensions)
| texture (storage const &Storage)
| texture (storage const &Storage, format_type const &Format, size_type BaseLayer, size_type MaxLayer, size_type BaseFace, size_type MaxFace, size_type BaseLevel, size_type MaxLevel)

## Protected Attributes
size_type const | BaseFace
size_type const | BaseLayer
size_type const | BaseLevel
void *const | Data
format_type const | Format
size_type const | MaxFace
size_type const | MaxLayer
size_type const | MaxLevel
size_type const | Size
storage | Storage

## Detailed Description

Definition at line 35 of file texture.hpp.

## Member Typedef Documentation

typedef format format_type

Definition at line 39 of file texture.hpp.

typedef size_t size_type

Definition at line 38 of file texture.hpp.

## Constructor & Destructor Documentation

texture | ( |  | ) |

Definition at line 106 of file texture.hpp.

texture | ( | size_type const & | Layers,
|  | size_type const & | Faces,
|  | size_type const & | Levels,
|  | format_type const & | Format,
|  | storage::dim_type const & | Dimensions
| ) |  |

Definition at line 116 of file texture.hpp.

texture | ( | storage const & | Storage | ) |

Definition at line 133 of file texture.hpp.

texture | ( | storage const & | Storage,
|  | format_type const & | Format,
|  | size_type | BaseLayer,
|  | size_type | MaxLayer,
|  | size_type | BaseFace,
|  | size_type | MaxFace,
|  | size_type | BaseLevel,
|  | size_type | MaxLevel
| ) |  |

Definition at line 146 of file texture.hpp.

## Member Function Documentation

texture::size_type baseFace | ( |  | ) | const

Definition at line 231 of file texture.hpp.

References texture::BaseFace.

Referenced by texture::faces().

texture::size_type baseLayer | ( |  | ) | const

Definition at line 216 of file texture.hpp.

References texture::BaseLayer.

Referenced by texture::layers().

texture::size_type baseLevel | ( |  | ) | const

Definition at line 247 of file texture.hpp.

References texture::BaseLevel.

Referenced by texture::levels().

void clear | ( |  | ) |

Definition at line 262 of file texture.hpp.

void clear | ( | genType const & | Texel | ) |

Definition at line 268 of file texture.hpp.

References gli::block_size(), texture::Data, texture::empty(), and storage::format().

void * data | ( |  | ) |

Definition at line 178 of file texture.hpp.

References texture::Data.

Referenced by texture::data().

genType * data | ( |  | ) |

Definition at line 189 of file texture.hpp.

References gli::block_size(), texture::data(), texture::empty(), and texture::format().

void const * data | ( |  | ) | const

Definition at line 183 of file texture.hpp.

References texture::Data.

genType const * data | ( |  | ) | const

Definition at line 198 of file texture.hpp.

References gli::block_size(), texture::data(), texture::empty(), and texture::format().

bool empty | ( |  | ) | const

Definition at line 206 of file texture.hpp.

References storage::empty().

Referenced by texture::clear(), texture::data(), and texture::size().

texture::size_type faces | ( |  | ) | const

Definition at line 241 of file texture.hpp.

References texture::baseFace(), and texture::maxFace().

texture::format_type format | ( |  | ) | const

Definition at line 211 of file texture.hpp.

References texture::Format.

Referenced by texture::data().

texture::size_type layers | ( |  | ) | const

Definition at line 226 of file texture.hpp.

References texture::baseLayer(), and texture::maxLayer().

texture::size_type levels | ( |  | ) | const

Definition at line 257 of file texture.hpp.

References texture::baseLevel(), and texture::maxLevel().

texture::size_type maxFace | ( |  | ) | const

Definition at line 236 of file texture.hpp.

References texture::MaxFace.

Referenced by texture::faces().

texture::size_type maxLayer | ( |  | ) | const

Definition at line 221 of file texture.hpp.

References texture::MaxLayer.

Referenced by texture::layers().

texture::size_type maxLevel | ( |  | ) | const

Definition at line 252 of file texture.hpp.

References texture::MaxLevel.

Referenced by texture::levels().

texture::size_type size | ( |  | ) | const

Definition at line 162 of file texture.hpp.

References texture::empty(), and texture::Size.

Referenced by texture::size().

texture::size_type size | ( |  | ) | const

Definition at line 170 of file texture.hpp.

References gli::block_size(), texture::empty(), storage::format(), and texture::size().

## Member Data Documentation

size_type const BaseFace
| protected

Definition at line 94 of file texture.hpp.

Referenced by texture::baseFace().

size_type const BaseLayer
| protected

Definition at line 92 of file texture.hpp.

Referenced by texture::baseLayer().

size_type const BaseLevel
| protected

Definition at line 96 of file texture.hpp.

Referenced by texture::baseLevel().

void* const Data
| protected

Definition at line 98 of file texture.hpp.

Referenced by texture::clear(), and texture::data().

format_type const Format
| protected

Definition at line 91 of file texture.hpp.

Referenced by texture::format().

size_type const MaxFace
| protected

Definition at line 95 of file texture.hpp.

Referenced by texture::maxFace().

size_type const MaxLayer
| protected

Definition at line 93 of file texture.hpp.

Referenced by texture::maxLayer().

size_type const MaxLevel
| protected

Definition at line 97 of file texture.hpp.

Referenced by texture::maxLevel().

size_type const Size
| protected

Definition at line 99 of file texture.hpp.

Referenced by texture::size().

storage Storage
| protected

Definition at line 90 of file texture.hpp.